std::ostreambuf_iterator(3)

NAME
std::ostreambuf_iterator -

SYNOPSIS

Inherits iterator< std::output_iterator_tag, void, void, void, void >.

Detailed Description

  template<typename _CharT, typename _Traits> class std::ostreambuf_iterator< _CharT, _Traits >

Definition at line 191 of file streambuf_iterator.h.

  Public Types
typedef _Distance difference_type
typedef _Category iterator_category
typedef _Pointer pointer
typedef _Reference reference
typedef _Tp value_type

typedef _CharT char_type
typedef basic_ostream< _CharT, _Traits > ostream_type
typedef basic_streambuf< _CharT, _Traits > streambuf_type
typedef _Traits traits_type

  Public Member Functions
ostreambuf_iterator & _M_put (const _CharT *__ws, streamsize __len)
bool failed () const throw ()
ostreambuf_iterator & operator * ()
ostreambuf_iterator & operator++ ()
ostreambuf_iterator & operator++ (int)
ostreambuf_iterator & operator= (_CharT __c)
ostreambuf_iterator (streambuf_type *__s) throw ()
ostreambuf_iterator (ostream_type &__s) throw ()

Member Typedef Documentation

  typedef _CharT char_type

Public typedefs.

Definition at line 198 of file streambuf_iterator.h.

  typedef _Distance difference_type [inherited]

Distance between iterators is represented as this type.

Reimplemented in reverse_iterator.

Definition at line 113 of file stl_iterator_base_types.h.

  typedef _Category iterator_category [inherited]

One of the tag types.

Definition at line 109 of file stl_iterator_base_types.h.

  typedef basic_ostream<_CharT, _Traits> ostream_type

Public typedefs.

Definition at line 201 of file streambuf_iterator.h.

  typedef _Pointer pointer [inherited]

This type represents a pointer-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 115 of file stl_iterator_base_types.h.

  typedef _Reference reference [inherited]

This type represents a reference-to-value_type.

Reimplemented in _Bit_iterator, _Bit_const_iterator, reverse_iterator, _Rope_const_iterator, and _Rope_iterator.

Definition at line 117 of file stl_iterator_base_types.h.

  typedef basic_streambuf<_CharT, _Traits> streambuf_type

Public typedefs.

Definition at line 200 of file streambuf_iterator.h.

  typedef _Traits traits_type

Public typedefs.

Definition at line 199 of file streambuf_iterator.h.

  typedef _Tp value_type [inherited]

The type 'pointed to' by the iterator.

Reimplemented in sequence_buffer.

Definition at line 111 of file stl_iterator_base_types.h.

Constructor & Destructor Documentation

  ostreambuf_iterator (ostream_type & __s) throw () [inline]

Construct output iterator from ostream.

Definition at line 210 of file streambuf_iterator.h.

  ostreambuf_iterator (streambuf_type * __s) throw () [inline]

Construct output iterator from streambuf.

Definition at line 214 of file streambuf_iterator.h.

Member Function Documentation

  bool failed () const throw () [inline]

Return true if previous operator=() failed.

Definition at line 244 of file streambuf_iterator.h.

  ostreambuf_iterator& operator * () [inline]

Return *this.

Definition at line 229 of file streambuf_iterator.h.

  ostreambuf_iterator& operator++ () [inline]

Return *this.

Definition at line 239 of file streambuf_iterator.h.

  ostreambuf_iterator& operator++ (int) [inline]

Return *this.

Definition at line 234 of file streambuf_iterator.h.

  ostreambuf_iterator& operator= (_CharT __c) [inline]

Write character to streambuf. Calls streambuf.sputc().

Definition at line 219 of file streambuf_iterator.h.

References basic_streambuf::sputc().

Author

Generated automatically by Doxygen for libstdc++ from the source code.